Report Descriptions and Configuration
Prev | Chapter 13. Message Store Reports | Next

## Report Descriptions and Configuration

### Failed Logins by Period Message Store Report

ID: `badlogin_by_period`

Chart: None

This report specification will generate a report showing the the number of failed login aggregated by some period of time. The period is configurable.

Parameters

`period`

  This parameter controls the time period over which the failed logins are counted.

  Defaults to `1d`.

### Closed Event by Period Message Store Report

ID: `close_by_period`

Chart: None

This report specification will generate a report showing the the number of `close` commands aggregated by some period of time. The period is configurable.

Parameters

`period`

  This parameter controls the time period over which the `close` events are counted.

  Defaults to `1d`.

### Events by Protocol Message Store Report

ID: `events-by-protocol`

Chart: None

This report specification will generate a report showing the the number of events for each protocol supported by the message store server.

This report doesn't have any parameters.

### Successful Login by Period Message Store Report

ID: `login_by_period`

Chart: None

This report specification will generate a report showing the the number of successful logins aggregated by some period of time. The period is configurable.

Parameters

`period`

  This parameter controls the time period over which the `close` events are counted.

  Defaults to `1d`.

### Top User Logins Message Store Report

ID: `top-user-login`

Chart: None

This report specification will generate a report showing the the users that did the most logins on the message store. The number of users to include in the report is configurable.

Parameters

`users_to_show`

  This parameter controls the number of users to include in the report.

  Defaults to `10`.

### Top Users doing Select Message Store Report

ID: `top-user-select`

Chart: None

This report specification will generate a report showing the the users that did the most `select` commands on the server. The number of users to include in the report is configurable.

Parameters

`users_to_show`

  This parameter controls the number of users to include in the report.

  Defaults to `10`.

### Unique Users by Period Message Store Report

ID: `unique-user`

Chart: None

This report specification will generate a report showing the the number of different users by some period of time. The period is configurable.

Parameters

`period`

  This parameter controls the time period over which the different users are counted.

  Defaults to `1d`.

Prev | Up | Next
Chapter 13. Message Store Reports | Home | Filter Descriptions and Configuration